# ansible molecule tests for role: docker_xtras



## Why to use it
It's allways a good idea to test your things.

With **ansible molecule** you can test your role locally without the need of using a **real server** but a local **docker container**.


## Dependencies

- ### molecule
  You need to have [ansible molecule](https://ansible.readthedocs.io/projects/molecule/installation/) installed.

- ### DIND (docker in docker)
    For using the tests, you will to have **docker** installed locally and and set it for using **DIND (docker in docker)**


    - ### DIND linux
      You have to create/edit the file **/etc/docker/daemon.json** with the content:

    ```json
    {
    "exec-opts": ["native.cgroupdriver=systemd"],
    "features": {
        "buildkit": true
    },
    "experimental": true,
    "cgroup-parent": "docker.slice"
    }
    ```


## Configuration
There's not much for configuring for using the tests


## Running the tests

- #### Configuring the *HOST_VAR_FILE_NAME* variable
  For using the molecule tests you should pass the **HOST_VAR_FILE_NAME** environment variable, or the default value for testing is: **example_printer.yml**

  For the values that can be used, you can lool at the files at the **inventories/host_vars** folder.

- ##### Molecule test example
  Just go to the root of the role **roles/x3infodesk-deployment-role-dependencies** and run the command, here is an example for using the **HOST_VAR_FILE_NAME** as *example_buttons.yml*:
  ```bash
  HOST_VAR_FILE_NAME="example_buttons.yml" molecule test
  ```


## License

MIT / BSD


## Author Information

[https://chaos.social/@fejao](https://chaos.social/@fejao)
